<?php

/**
 * ウイジェットエリア
 */

if ( ! function_exists( 'dynamic_sidebar' ) || ! dynamic_sidebar(1) ) {
  
  register_sidebars( 1, array(
    'name'          => 'サイドバー',
    'id'            => 'sidebar-1',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 3, array(
    'name'          => 'フッター：%d',
    'id'            => 'footer',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 1, array(
    'name'          => '投稿一覧：上',
    'id'            => 'summary-top',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 1, array(
    'name'          => '投稿一覧：下',
    'id'            => 'summary-bottom',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 1, array(
    'name'          => '投稿：上',
    'id'            => 'post-top',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 1, array(
    'name'          => '投稿：本文 上',
    'id'            => 'post-body-top',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 1, array(
    'name'          => '投稿：本文 下',
    'id'            => 'post-body-bottom',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 1, array(
    'name'          => '投稿：下',
    'id'            => 'post-bottom',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 1, array(
    'name'          => '固定ページ：上',
    'id'            => 'page-top',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 1, array(
    'name'          => '固定ページ：本文 上',
    'id'            => 'page-body-top',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 1, array(
    'name'          => '固定ページ：本文 下',
    'id'            => 'page-body-bottom',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
  
  register_sidebars( 1, array(
    'name'          => '固定ページ：下',
    'id'            => 'page-bottom',
    'before_widget' => '<div id="widget-%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
    'after_title'   => '</h2>',
  ));
}


