<?php
// タイトル
if( is_front_page() ):
  $the_title = get_bloginfo( 'name' ) . ' - ' . get_bloginfo( 'description' );
elseif( is_home() ):
  $the_title = get_the_title( get_option( 'page_for_posts' ) ) . ' - ' . get_bloginfo( 'name' );
else:
  $the_title = get_the_title() . ' - ' . get_bloginfo( 'name' );
endif;

// URL
if( is_front_page() ):
  $permalink = home_url( '/' );
elseif( is_home() ):
  $permalink = get_post_type_archive_link( get_post_type() );
else:
  $permalink = get_permalink();
endif;
?>

<div class="sns-button block">
  <a href="https://twitter.com/share?url=<?php echo $permalink; ?>&amp;text=<?php echo urlencode( $the_title ); ?>" onclick="window.open(this.href, 'Twindow', 'width=650, height=450, menubar=no, toolbar=no, scrollbars=yes' ); return false;" class="twitter">
    ツイート</a>
  <a href="http://www.facebook.com/share.php?u=<?php echo $permalink; ?>" onclick="window.open(this.href, 'Fwindow', 'width=650, height=450, menubar=no, toolbar=no, scrollbars=yes' ); return false;" class="facebook">
    シェア</a>
</div>