<?php
if ( post_password_required() ) {
	return;
}
?>

<?php if ( comments_open() || have_comments() ): ?>
  <div id="comments" class="comments block">
  	<?php if ( have_comments() ) : // コメントがある場合 ?>
  		<h2 class="comments__title">
    		コメント <?php comments_number( '0', '1', '%' ); ?> 件
      </h2>

      <?php // アバターが有効な場合
      if ( get_avatar( $comment ) ) {
        $avatar = 'avatar-on';
      } ?>

  		<ol class="comment-list <?php echo $avatar ?>">
  			<?php
  				wp_list_comments( array(
  					'avatar_size' => 100,
  					'style'       => 'ol',
  					'short_ping'  => true,
  				) );
  			?>
  		</ol>

  		<?php // ページ分割
      the_comments_pagination( array(
  			'prev_text' => '<span class="screen-reader-text">' . '</span>',
  			'next_text' => '<span class="screen-reader-text">' . '</span>',
  		) ); ?>

  	<?php endif; ?>

  	<?php if ( ! comments_open() &&
    	           get_comments_number() &&
    	           post_type_supports( get_post_type(), 'comments' ) ): ?>

  		<p class="no-comments">
    		<?php _e( '現在コメントを受けつけていません。', 'stepress' ); ?>
      </p>
  	<?php endif; ?>

  	<?php comment_form(); // コメントフォーム ?>
  </div>
<?php endif; ?>